Docs
Add Reset Definition
POST /rate-cards/{rateCardId}/reset-definitions
POST
/rate-cards/{rateCardId}/reset-definitionsAdds a reset definition (a clock) to a rate card that its rates and minimums can reset on, and returns its id. blockTypeId comes from ResourceTypes_GetScheduleBlockTypes. Requires ResourceTypeDatabase.Edit.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| rateCardId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | Optional | |
| resetType | string | Optional | |
| blockTypeId | uuid | Optional | |
| minDuration | number | Optional | |
| durationUnit | string | Optional | |
| period | string | Optional | |
| periodStartDay | string | Optional |